3.12.6
[empathy.git] / autogen.sh
1 #!/bin/sh
2 # Run this to generate all the initial makefiles, etc.
3
4 srcdir=`dirname $0`
5 test -z "$srcdir" && srcdir=.
6
7 PKG_NAME="Empathy"
8 REQUIRED_AUTOMAKE_VERSION=1.9
9
10 (test -f $srcdir/configure.ac) || {
11     echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
12     echo " top-level gnome directory"
13     exit 1
14 }
15
16 which gnome-autogen.sh || {
17     echo "You need to install gnome-common from the GNOME GIT"
18     exit 1
19 }
20
21 # Fetch submodules if needed
22 if test ! -f telepathy-account-widgets/COPYING;
23 then
24   echo "+ Setting up submodules"
25   git submodule init
26 fi
27 git submodule update
28
29 cd telepathy-account-widgets
30 sh autogen.sh --no-configure
31 cd ..
32
33 USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh